{
  "custom": {
    "expanded": true
  },
  "events": {
    "system": {
      "onStartup": {
        "config": {
          "script": "\tself.custom.expanded \u003d self.params.open_expanded\n\t"
        },
        "scope": "G",
        "type": "script"
      }
    }
  },
  "params": {
    "open_expanded": true,
    "params": {},
    "path": "Diagnostics/Embedded/System",
    "title": "Card Title",
    "useDefaultHeight": false,
    "useDefaultWidth": false
  },
  "propConfig": {
    "custom.expanded": {
      "persistent": true
    },
    "params.address": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.open_expanded": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.params": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.path": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.system": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.useDefaultHeight": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.useDefaultWidth": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 339,
      "width": 369
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Label"
            },
            "position": {
              "grow": 1
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "classes": "Framework/Card/Title"
              }
            },
            "type": "ia.display.label"
          },
          {
            "events": {
              "component": {
                "onActionPerformed": {
                  "config": {
                    "script": "\tself.view.custom.expanded \u003d not self.view.custom.expanded"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "Button"
            },
            "propConfig": {
              "props.image.icon.path": {
                "binding": {
                  "config": {
                    "expression": "if({view.custom.expanded}, \u0027material/expand_less\u0027, \u0027material/expand_more\u0027)"
                  },
                  "type": "expr"
                }
              }
            },
            "props": {
              "image": {
                "icon": {}
              },
              "primary": false,
              "style": {
                "backgroundColor": "transparent",
                "borderStyle": "none"
              },
              "text": ""
            },
            "type": "ia.input.button"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "24px",
          "shrink": 0
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "EmbeddedView"
        },
        "position": {
          "shrink": 0
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.custom.expanded"
              },
              "type": "property"
            }
          },
          "props.params": {
            "binding": {
              "config": {
                "path": "view.params.params"
              },
              "overlayOptOut": true,
              "type": "property"
            }
          },
          "props.path": {
            "binding": {
              "config": {
                "path": "view.params.path"
              },
              "overlayOptOut": true,
              "type": "property"
            }
          },
          "props.useDefaultViewHeight": {
            "binding": {
              "config": {
                "path": "view.params.useDefaultHeight"
              },
              "type": "property"
            }
          },
          "props.useDefaultViewWidth": {
            "binding": {
              "config": {
                "path": "view.params.useDefaultWidth"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "classes": "Framework/Card/Embedded"
          }
        },
        "type": "ia.display.view"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "style": {
        "classes": "Framework/Card/Card"
      }
    },
    "type": "ia.container.flex"
  }
}